# This file is part of SSHare.
#
# SSHare is free software: you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# SSHare is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# SSHare. If not, see <https://www.gnu.org/licenses/>.

from sshare.plugins.config import NoDefault

plugin_type = "location"

config = {
    "protocol": "https",
    "host": NoDefault,
    "port": None,
    "path": "",
}

def get_location(name):
    if config.port:
        config.port = f":{config.port}"
    else:
        config.port = ""
    return f"{config.protocol}://{config.host}{config.port}{config.path}/{name}"
