# This file is part of SSHare.
#
# SSHare is free software: you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# SSHare is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# SSHare. If not, see <https://www.gnu.org/licenses/>.

plugin_type = "logger"

def _print_with_color(color, message):
    print(f"\033[{color}m{message}\033[0m")

def info(message):
    _print_with_color(0, message)

def warn(message):
    _print_with_color(93, message)

def error(message):
    _print_with_color(91, message)
